Debian Bug report logs - #474115
SIGABRT on startup if a package has an empty string for its Section.

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Aleksey Midenkov <asm@uezku.kemsu.ru>

Date: Thu, 3 Apr 2008 13:09:01 UTC

Severity: important

Tags: confirmed

Found in version aptitude/0.4.11.1-1

Fixed in version aptitude/0.4.11.2-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Aleksey Midenkov <asm@uezku.kemsu.ru>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aleksey Midenkov <asm@uezku.kemsu.ru>
To: submit@bugs.debian.org
Subject: aptitude: Got SIGABRT, dying..
Date: Thu, 3 Apr 2008 17:06:50 +0400
Package: aptitude
Version: 0.4.11.1-1
Severity: grave

The program get terminated at very start.

The exception std::out_of_range is thrown at pkg_grouppolicy.cc:325 
(pkg_grouppolicy_section::add_package):

   323                section = (sections_remaining.at(0) == '/'
   324                           ? sections_remaining.substr(1, next_split)
   325                           : sections_remaining.substr(0, next_split));

due to sections_remaining string emptiness. The string get empty from very 
start at 272:

   270    else
   271      {
   272        section=pkg.VersionList().Section();
   273
   274        // Find the first section divider ('/'); if the split mode is
   275        // supposed to include only the part of the section preceding it

This is not the first iteration so the pkg (pkgCache) is initialized partly 
properly. The problem gets occured when pkg.Name() is "gsfonts-other". I 
looked into apt list and ascertained that the Section: field is not null for 
gsfonts-other (non-free/text). I suspect, that /var/cache/pkgcache.bin get 
build somehow wrongly. But to figure where in the code it get build is long 
enough task for me. Is there anyone who knows the code enough to give me a 
clue where to dig next?

By the way, at 273 the check should be done, that std::string 'section' is not 
empty.

Package: apt
Version: 0.7.11




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 474115@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Aleksey Midenkov <asm@uezku.kemsu.ru>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Mon, 07 Apr 2008 09:21:20 -0700
On Thu, Apr 03, 2008 at 05:06:50PM +0400, Aleksey Midenkov <asm@uezku.kemsu.ru> was heard to say:
> Package: aptitude
> Version: 0.4.11.1-1
> Severity: grave
> 
> The program get terminated at very start.

  I don't think it's grave for aptitude to break when its database is
corrupt, so I'm downgrading this.

  Daniel




Severity set to `important' from `grave' Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 03:33:03 GMT) Full text and rfc822 format available.

Changed Bug title to `section-grouping code breaks if a package has an empty string for its Section.' from `aptitude: Got SIGABRT, dying..'. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 03:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Aleksey Midenkov <asm@uezku.kemsu.ru>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #19 received at 474115@bugs.debian.org (full text, mbox):

From: Aleksey Midenkov <asm@uezku.kemsu.ru>
To: Daniel Burrows <dburrows@debian.org>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Tue, 8 Apr 2008 11:32:03 +0400
On Monday 07 April 2008 20:21:20 you wrote:
> On Thu, Apr 03, 2008 at 05:06:50PM +0400, Aleksey Midenkov 
<asm@uezku.kemsu.ru> was heard to say:
> > Package: aptitude
> > Version: 0.4.11.1-1
> > Severity: grave
> >
> > The program get terminated at very start.
>
>   I don't think it's grave for aptitude to break when its database is
> corrupt, so I'm downgrading this.
>
>   Daniel

Neather database nor package cache rebuild does not help. The bug is not only 
in reading empty Section: field, as I tried to describe. The bug is in losing 
Section: field. Please, answer to the point. You seem to be the are author of 
the program. Changing status of the bug back to grave: there is no way to use 
a program.

Aleksey




Severity set to `grave' from `important' Request was from Aleksey Midenkov <asm@uezku.kemsu.ru> to control@bugs.debian.org. (Tue, 08 Apr 2008 07:48:37 GMT) Full text and rfc822 format available.

Changed Bug title to `SIGABRT at start, list update and cache rebuild do not help' from `section-grouping code breaks if a package has an empty string for its Section.'. Request was from Aleksey Midenkov <asm@uezku.kemsu.ru> to control@bugs.debian.org. (Tue, 08 Apr 2008 07:48:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #28 received at 474115@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Aleksey Midenkov <asm@uezku.kemsu.ru>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Tue, 08 Apr 2008 07:25:49 -0700
[Message part 1 (text/plain, inline)]
On Tue, Apr 08, 2008 at 11:32:03AM +0400, Aleksey Midenkov <asm@uezku.kemsu.ru> was heard to say:
> On Monday 07 April 2008 20:21:20 you wrote:
> > On Thu, Apr 03, 2008 at 05:06:50PM +0400, Aleksey Midenkov 
> <asm@uezku.kemsu.ru> was heard to say:
> > > Package: aptitude
> > > Version: 0.4.11.1-1
> > > Severity: grave
> > >
> > > The program get terminated at very start.
> >
> >   I don't think it's grave for aptitude to break when its database is
> > corrupt, so I'm downgrading this.
> >
> >   Daniel
> 
> Neather database nor package cache rebuild does not help. The bug is not only 
> in reading empty Section: field, as I tried to describe. The bug is in losing 
> Section: field. Please, answer to the point. You seem to be the are author of 
> the program. Changing status of the bug back to grave: there is no way to use 
> a program.

  Please do not play bug ping-pong.  The program is not usable for you,
but it works for me and for most users (as evidenced by the fact that
the code in question has been out for a month and you are the first
person to trigger this bug).

  The fact that running "update" doesn't fix it is interesting.  Would
it be possible for you to run "aptitude-create-state-bundle" and post
the result somewhere that I can download it?


  JFTR, you stated that

On Thu, Apr 03, 2008 at 05:06:50PM +0400, Aleksey Midenkov <asm@uezku.kemsu.ru> was heard to say:
> due to sections_remaining string emptiness. The string get empty from very 
> start at 272:
> 
>    270    else
>    271      {
>    272        section=pkg.VersionList().Section();

  Section should not be an empty string in a well-formed Debian
archive.  And in fact you said that it was not:

> I 
> looked into apt list and ascertained that the Section: field is not null for 
> gsfonts-other (non-free/text). I suspect, that /var/cache/pkgcache.bin get 
> build somehow wrongly.

  ...so the cache is messed up somehow because apt dropped the Section
field from the package.

  Obviously aptitude shouldn't barf when apt has done something wacky in
building its cache, and I have already committed a patch to the archive
that should guard against this case as I understand it (if you send me
the snapshot I mentioned above I can try to reproduce this and verify
that the attached patch works).  But it's not really possible to predict
all the ways that a broken cache will break aptitude; many badly formed
caches just produce unavoidable segfaults due to the way apt is designed.

  Daniel
[aptitude-defend-against-empty-section.patch (text/x-diff, attachment)]

Severity set to `important' from `grave' Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 14:30:06 GMT) Full text and rfc822 format available.

Changed Bug title to `SIGABRT on startup if a package has an empty string for its Section.' from `SIGABRT at start, list update and cache rebuild do not help'. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 14:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Aleksey Midenkov <asm@uezku.kemsu.ru>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #37 received at 474115@bugs.debian.org (full text, mbox):

From: Aleksey Midenkov <asm@uezku.kemsu.ru>
To: Daniel Burrows <dburrows@debian.org>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Tue, 8 Apr 2008 19:02:43 +0400
Have posted aptitude-create-state-bundle output:

http://midenkov.narod.ru/aptitude_state.bz2




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #42 received at 474115@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Aleksey Midenkov <asm@uezku.kemsu.ru>
Cc: 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Tue, 08 Apr 2008 08:13:13 -0700
On Tue, Apr 08, 2008 at 07:02:43PM +0400, Aleksey Midenkov <asm@uezku.kemsu.ru> was heard to say:
> Have posted aptitude-create-state-bundle output:
> 
> http://midenkov.narod.ru/aptitude_state.bz2

  Thanks, I've downloaded it.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #47 received at 474115@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Aleksey Midenkov <asm@uezku.kemsu.ru>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Wed, 09 Apr 2008 19:04:13 -0700
On Tue, Apr 08, 2008 at 07:02:43PM +0400, Aleksey Midenkov <asm@uezku.kemsu.ru> was heard to say:
> Have posted aptitude-create-state-bundle output:
> 
> http://midenkov.narod.ru/aptitude_state.bz2

  OK, I can verify that the abort happens and that it's fixed by the
patch I wrote.  For future reference for myself or anyone else: to
reproduce the bug you have to set APT_CONFIG to point at the apt.conf in
this test case and edit apt.conf to include an absolute path to the
desired include file (or add a literal include).  This is a deficiency
in aptitude-run-state-bundle, but also in apt (there doesn't seem to be
a combination of path overrides that will cause it to read a different
apt.conf, so a-c-s-b can't cause the configuration file in the bundle to
be read).

  I haven't figured out why apt is behaving this way yet and I haven't
verified for myself that it is preserved across updates, but I can
confirm that sections are coming up empty.  "apt-cache show gsfonts-other"
prints:

Package: gsfonts-other
Section:
Installed-Size: 1728
 (...)

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #52 received at 474115@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Aleksey Midenkov <asm@uezku.kemsu.ru>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Wed, 09 Apr 2008 19:10:53 -0700
  To follow up to my last comment, about not knowing why the Section
field was empty, it appears that I was confused about the earlier
report.  I had gotten the impression that the Section field wasn't empty
in the package list file, but that's not true:
/var/lib/apt/lists/local/_var_local_mirror_..._Packages contains this
stanza:

Package: gsfonts-other
Section:
Installed-Size: 1728
 (...)

  This seems to be from

deb file:/var/local/mirror/debian/ unknown main contrib non-free

  in sources-local.list.  So in fact apt is not buggy in this case;
the Packages file is just unusual and hitting a bad corner case of
aptitude's grouping code.  (in case you're curious, it looks like
the ldso stanza also has an empty Section)

  This should work in the next upload of aptitude.  Thanks for the
report.

  Daniel




Tags added: confirmed, pending Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2008 04:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#474115; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Aleksey Midenkov <asm@uezku.kemsu.ru>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #59 received at 474115@bugs.debian.org (full text, mbox):

From: Aleksey Midenkov <asm@uezku.kemsu.ru>
To: Daniel Burrows <dburrows@debian.org>, 474115@bugs.debian.org
Subject: Re: Bug#474115: aptitude: Got SIGABRT, dying..
Date: Thu, 10 Apr 2008 12:42:10 +0400
On Thursday 10 April 2008 06:10:53 you wrote:
>   To follow up to my last comment, about not knowing why the Section
> field was empty, it appears that I was confused about the earlier
> report.  I had gotten the impression that the Section field wasn't empty
> in the package list file, but that's not true:
> /var/lib/apt/lists/local/_var_local_mirror_..._Packages contains this
> stanza:
>
> Package: gsfonts-other
> Section:
> Installed-Size: 1728
>  (...)
>
>   This seems to be from
>
> deb file:/var/local/mirror/debian/ unknown main contrib non-free
>
>   in sources-local.list.  So in fact apt is not buggy in this case;
> the Packages file is just unusual and hitting a bad corner case of
> aptitude's grouping code.  (in case you're curious, it looks like
> the ldso stanza also has an empty Section)
>
>   This should work in the next upload of aptitude.  Thanks for the
> report.
>
>   Daniel


I mistook the source of this stanza with ftp.debian.de non-free source which 
also contains gsfonts-other. Sorry for misinformation and thank you for help!




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aleksey Midenkov <asm@uezku.kemsu.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 474115-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 474115-close@bugs.debian.org
Subject: Bug#474115: fixed in aptitude 0.4.11.2-1
Date: Sat, 12 Apr 2008 15:17:04 +0000
Source: aptitude
Source-Version: 0.4.11.2-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.2-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.2-1_i386.deb
aptitude-doc-cs_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.2-1_all.deb
aptitude-doc-en_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.2-1_all.deb
aptitude-doc-fi_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.2-1_all.deb
aptitude-doc-fr_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.2-1_all.deb
aptitude-doc-ja_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.2-1_all.deb
aptitude_0.4.11.2-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.2-1.diff.gz
aptitude_0.4.11.2-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.2-1.dsc
aptitude_0.4.11.2-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.2-1_i386.deb
aptitude_0.4.11.2.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474115@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Apr 2008 19:25:35 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.2-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 454088 473719 473722 473872 474115 474672 486186
Changes: 
 aptitude (0.4.11.2-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fix XML errors in the manpage source. (Closes: #473722)
 .
     - Don't crash if a package's Section field is empty. (Closes: #474115)
 .
     - Rewrite the status information to avoid the need for choosing
       between the singular and plural forms of verbs. (Closes: #486186)
 .
     - Added "why" and "why-not" to the output of "--help". (Closes: #454088)
 .
     - Use a different technique to migrate "Recommends-Important" to
       "Install-Recommends" that doesn't overwrite the old option; instead
       the option "Aptitude::Ignore-Recommends-Important" is set to "true"
       when the setting is migrated; if this option is set, then
       Recommends-Important is ignored.
 .
       This should be better for people who share configuration files
       between machines. (Closes: #473872)
 .
     - Translation updates:
       * Galician (Closes: #474672)
       * Vietnamese (Closes: #473719)
Checksums-Sha1: 
 f18f969bf7d5bfe348b2b471bc132aa9489b6c84 1382 aptitude_0.4.11.2-1.dsc
 ebc28940ee3c7cb6ad354b4bde7a027a7165d946 5598315 aptitude_0.4.11.2.orig.tar.gz
 1796783c1e1eae7e5605f688ed640ba5d442305c 34726 aptitude_0.4.11.2-1.diff.gz
 6cec20ba41ee156f391f86602a32f7d9b024ea16 344328 aptitude-doc-cs_0.4.11.2-1_all.deb
 dcdfa39b061f13c8e0f993a9b3fdb4111741e241 351032 aptitude-doc-en_0.4.11.2-1_all.deb
 4ce6460024f3c84f324182820dc10277429a0b2d 262844 aptitude-doc-fi_0.4.11.2-1_all.deb
 808e747416b48c6437d23fb907e03bc10268ea8c 296348 aptitude-doc-fr_0.4.11.2-1_all.deb
 0752b4ba7926374a6c6e7c3d7f20fcca32588407 361656 aptitude-doc-ja_0.4.11.2-1_all.deb
 16638041871d4906974cbb38071c7fa15cf39bc4 2775568 aptitude_0.4.11.2-1_i386.deb
 726ff12f71cd50d7ecb1e1d8f30a50bb4f477d7b 6751434 aptitude-dbg_0.4.11.2-1_i386.deb
Checksums-Sha256: 
 2afffd6e1bf84a42548488fb0a9313109bd61ffaa6cb0960635d7d6a96a468ef 1382 aptitude_0.4.11.2-1.dsc
 ba14f2b357618ad29c089ac85e4ad4e92c69ff0276b56e5a5c8d2e03d36d3991 5598315 aptitude_0.4.11.2.orig.tar.gz
 1cf3f775bb5ed16b4b426695b8b7af2a1d56c0130c002751f4c2f9089431d211 34726 aptitude_0.4.11.2-1.diff.gz
 8c037cd6528294b80af78d913a4acf34441688b8503d6b7346051b87e2a020a8 344328 aptitude-doc-cs_0.4.11.2-1_all.deb
 17708da8054a9eae69a8d229fa5751e7a4de08c995cba43bfeab2ea4a1aaad5e 351032 aptitude-doc-en_0.4.11.2-1_all.deb
 4ae600eac8886807e7b54762f64a03623f52ff80212c08200f32f8a6469a5923 262844 aptitude-doc-fi_0.4.11.2-1_all.deb
 98bbbccf6050795eee5bc30f82b168ce67dcff12a636b8aa0b9521e901c6e0f6 296348 aptitude-doc-fr_0.4.11.2-1_all.deb
 d6f644bb3c3d8aa3a4f83e9c0f837aaaa7ebf06db39df21d0f007a178a61d50f 361656 aptitude-doc-ja_0.4.11.2-1_all.deb
 e211a1205cf861bc2702426d14d0ab62b3d45287089adcb40cc05e1c85ef5525 2775568 aptitude_0.4.11.2-1_i386.deb
 3e9d9fdd4a7e79bbec2dcb558c800b8f6e67e7aaf1d7d3aab319fdda9a5ef175 6751434 aptitude-dbg_0.4.11.2-1_i386.deb
Files: 
 ecaee59d6ebb0d5e314f67a9995905c8 1382 admin - aptitude_0.4.11.2-1.dsc
 cc76875e6cdc29399eb7241ec7c0ca11 5598315 admin - aptitude_0.4.11.2.orig.tar.gz
 36ac4ffe0d5db114f07c6b6205ac3b98 34726 admin - aptitude_0.4.11.2-1.diff.gz
 b8958f0121a8d6b10faebeff880db259 344328 doc optional aptitude-doc-cs_0.4.11.2-1_all.deb
 41bb4dd1351e3f79b765516f1f40a9e1 351032 doc optional aptitude-doc-en_0.4.11.2-1_all.deb
 28c5e6479347d1f3f0e4fc7a440bd81c 262844 doc optional aptitude-doc-fi_0.4.11.2-1_all.deb
 37832823e4b97dfb5477106215ab5f6a 296348 doc optional aptitude-doc-fr_0.4.11.2-1_all.deb
 350018dbcad430c724d808390faa6c57 361656 doc optional aptitude-doc-ja_0.4.11.2-1_all.deb
 0f16fb96aac333efd32f1a39f3d6bc77 2775568 admin important aptitude_0.4.11.2-1_i386.deb
 768c64984b1c757b0c367eed01ea9d3c 6751434 devel extra aptitude-dbg_0.4.11.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIAM2nch6xsM7kSXgRAougAJ0Y7ilru1LmDbUd0VcS0ZPCVTu/eQCcDIrm
cdR4TYnfm97Z5Sd32pxpffE=
=4Qcx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 May 2008 07:39:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:49:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.